# Uses of Interface
org.eclipse.birt.chart.model.component.Dial

Packages that use Dial
Package
Description
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.

## Uses of Dial in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Dial
Modifier and Type
Method
Description
`Dial`
Dial.`copyInstance()`
`Dial`
ComponentFactory.`createDial()`
Returns a new object of class 'Dial'.

## Uses of Dial in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement Dial
Modifier and Type
Class
Description
`class`
`DialImpl`
An implementation of the model object 'Dial'.
Methods in org.eclipse.birt.chart.model.component.impl that return Dial
Modifier and Type
Method
Description
`Dial`
DialImpl.`copyInstance()`
`static final Dial`
DialImpl.`create()`
`static final Dial`
DialImpl.`createDefault()`
`Dial`
ComponentFactoryImpl.`createDial()`

## Uses of Dial in org.eclipse.birt.chart.model.type

Methods in org.eclipse.birt.chart.model.type that return Dial
Modifier and Type
Method
Description
`Dial`
DialSeries.`getDial()`
Returns the value of the 'Dial' containment reference.
Methods in org.eclipse.birt.chart.model.type with parameters of type Dial
Modifier and Type
Method
Description
`void`
DialSeries.`setDial(Dial value)`
Sets the value of the '`Dial`' containment reference.

## Uses of Dial in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl that return Dial
Modifier and Type
Method
Description
`Dial`
DialSeriesImpl.`getDial()`
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type Dial
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
DialSeriesImpl.`basicSetDial(Dial newDial, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
DialSeriesImpl.`setDial(Dial newDial)`